package com.microservices.pms.project.mapper;

import com.microservices.pms.project.domain.PmsProjectSprint;
import com.microservices.pms.project.domain.vo.PmsProjectSprintSearchVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 项目迭代Mapper接口
 * 
 * @author wanjia
 * @date 2023-10-11
 */
@Mapper
public interface PmsProjectSprintMapper
{
    /**
     * 查询项目迭代
     * 
     * @param id 项目迭代主键
     * @return 项目迭代
     */
    public PmsProjectSprint selectPmsProjectSprintById(Long id);

    /**
     * 查询项目迭代列表
     * 
     * @param pmsProjectSprint 项目迭代
     * @return 项目迭代集合
     */
    public List<PmsProjectSprint> selectPmsProjectSprintList(PmsProjectSprint pmsProjectSprint);

    /**
     * 新增项目迭代
     * 
     * @param pmsProjectSprint 项目迭代
     * @return 结果
     */
    public int insertPmsProjectSprint(PmsProjectSprint pmsProjectSprint);

    /**
     * 修改项目迭代
     * 
     * @param pmsProjectSprint 项目迭代
     * @return 结果
     */
    public int updatePmsProjectSprint(PmsProjectSprint pmsProjectSprint);

    /**
     * 删除项目迭代
     * 
     * @param id 项目迭代主键
     * @return 结果
     */
    public int deletePmsProjectSprintById(Long id);

    /**
     * 批量删除项目迭代
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePmsProjectSprintByIds(Long[] ids);

    List<PmsProjectSprint> selectPmsProjectSprintListBySearchInput(PmsProjectSprintSearchVo pmsProjectSprintSearchVo);

    Integer selectPmsProjectSprintCount(PmsProjectSprintSearchVo pmsProjectSprintSearchVo);

    List<PmsProjectSprint> selectPmsProjectSprintBYIds(@Param("testSheetLinkSprintIds") Long[] testSheetLinkSprintIds);

    int deletePmsProjectSprintByProjectId(@Param("projectId") Long projectId);

    PmsProjectSprint selectLatestSprintByProjectIdAndNameAndAssigneeId(@Param("pmsProjectId") Long pmsProjectId, @Param("sprintName") String sprintName, @Param("sprintAssigneeId") Long sprintAssigneeId);
}
